import axios from 'axios';
const baseUri = "/ambientAir/airEvaluationStandard";
const listAllUrl = baseUri + "";

// 添加
const saveStandard = function (data) {
    return axios.post("/ambientAir/airEvaluationStandard",data)
}

// 删除
const removeStandard = function (id) {
    return axios.delete(`/ambientAir/airEvaluationStandard/${id}`,)
}
// 批量删除
const removeBatchStandard = function (ids) {
    return axios.delete("/ambientAir/airEvaluationStandard/batch",{data:ids})
}

// 修改
const updateStandard = function (data) {
    return axios.put("/ambientAir/airEvaluationStandard",data)
}
const copyBatchPlace = function (data){
    return axios.post("/ambientAir/airEvaluationStandard/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("/ambientAir/airEvaluationStandard/options",{params:{column}})
}

export {
    listAllUrl,
    saveStandard,
    updateStandard,
    removeBatchStandard,
    removeStandard,
    copyBatchPlace,
    getColumnOptions

}
